.ig
Copyright (C) 2010
  Pierre-Jean Fichet.

Permission is granted to make and distribute verbatim copies of
this manual provided the copyright notice and this permission notice
are preserved on all copies.

Permission is granted to copy and distribute modified versions of this
manual under the conditions for verbatim copying, provided that the
entire resulting derived work is distributed under the terms of a
permission notice identical to this one.

Permission is granted to copy and distribute translations of this
manual into another language, under the above conditions for modified
versions, except that this permission notice may be included in
translations approved by the Free Software Foundation instead of in
the original English.
..
.\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""
.\" isobib.ms
.\" groff -R -m ms -m isobib isobib.ms > isobib.ms
.\" groff -R -m ms -m isobib -T utf8 | less
.\"
.nr HM 3c				.\" header margin
.nr FM 3c				.\" footer margin
.nr PO 3.5c				.\" left margin
.nr LL 14c				.\" line length
.nr PS 12				.\" point size
.nr VS 15				.\" line spacing
.nr PD 0.6v				.\" space between paragraph
.nr PORPHANS 3			.\" number of initial lines to be kept together
.nr HORPHANS 3			.\" number of initial lines to be kept with heading
.nr FL \n[LL]			.\" footnote length
.nr GROWPS 3			.\" 3 level and growth of heading
.ds CH
.ds LH Isobib and iso-690-2
.ds RH %
.ds CF 
.\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""
.\" Draw a line after header
.de HD 
.if !\\n%=1  \{
\v'-3'\D'l \\n[LL]u 0' 
.br
\}
..
.\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""
.\" Simple URL definition
.de URL
.	nr HYP \\n[.hy]
.	nh
\&<\:\\$1\:>\\$2
.	hy \\n[HYP]
..
.\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""
.\" Bibliography
.R1
database isobib.i
abbreviate AE
capitalize AE
.R2
.\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""
.\" First page
.TL
The iso-690-2 bibliography standart and the groff isobib
macro
.AU
Pierre-Jean Fichet
.\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""
.NH 1
Small presentation of the iso-690-2 standart
.PP
The standart make a distinction between three differents
types of publication:
.IP \-
non-periodical publication that should have an
ISBN (books),
.IP \-
periodical publication that should have an
ISSN (journals),
.IP \-
electronic communication (e-mails).
.PP
Into theses categories there are subcategories, depending on
the purpose of the citation, as we can cite:
.IP \-
a whole work,
.IP \-
a part of work (the author of this section is the author of
the whole work),
.IP \-
an article from a work (the author of this section is not the
author of the whole work).
.PP
The standart defines a serie of fields, which are optional
or compulsory, depending of the categorie and subcategorie
of the publication. Sometimes, it is not possible to mention a
compulsory field, in that case, one should replace it by a
mention like \fIsine nomine\fP, \fIsine titulo\fP, or
\fIsine loco\fP. The following list mention all the fields
of the standart and its corresponding field in \fIisobib\fP,
and mention if it is generaly compulsory or optional.
.IP \-
Main responsability: The author, or the editor if the book
contain differents authors. Fields \fBA\fP, \fBE\fP or
\fBQ\fP with isobib. Compulsory.
.IP \-
The title: title of a serie, title of a book or title of an
article in a book. Fields \fBS\fP, \fBT\fP or
\fBJ\fP with isobib. Compulsory.
.IP \-
Main responsability of an hosting document: the editor of a
book when only a part of the book is cited. Field \fBE\fP
with isobib. Compulsory.
.IP \-
Title of hosting document: the title of a book when only an article 
of the book is cited. Field \fBB\fP in isobib. Compulsory.
.IP \-
Issue: first edition, second edition, french edition...
Field \fBH\fP with isobib. Compulsory.
.IP \-
Numerotation of the hosted document. The number of the
journal for a journal (field \fBN\fP with isobib), the tome
of the book for a book from a serie (field \fBV\fP), the
number of the report for a research report (field \fBR\fP).
Compulsory.
.IP \-
Secondary responsability: a traductor or an illustrator.
Field \fBU\fP with isobib. Optional.
.IP \-
Place of publication (city). Field \fBC\fP with isobib.
Compulsory.
.IP \-
Issuer. Field \fBI\fP with isobib. Compulsory.
.IP \-
Date of publication. Field \fBD\fP with isobib. Compulsory.
.IP \-
Material importance. For example the number of volumes in a
serie, the number of pages of a book... Isobib let the
ability to mention: the number of page of a book with the
field \fBP\fP, and if the whole serie is cited (ie not a
single book from that serie) the number of volumes of a
serie with the field \fBV\fP. Optional.
.IP \-
Localisation inside the hosting document: when refering to
an article from a book, the pages where this article appears
(p. xx-yy), when refering to a single page, that page (p.
xx). To mention theses pages, use the field \fBp\fP with
isobib. It is also a good idea to mention the title of the
section from which the reference is extracted (field \fBh\fP
with isobib). Compulsory.
.IP \-
Collection, subpart of the issuer. Field \fBM\fP with isobib.
Optional.
.IP \-
Notes. Field \fBO\fP with isobib. Optional. If the document
is an electronic document, it's a good idea to mention the
format of that document here (pdf, html...).
.IP \-
Standart number of publication (ISBN, ISSN). Field \fBG\fP
with isobib. Compulsory.
.PP
When referencing to an electronic document (periodical or
not, communication or not), some fields must be checked:
.IP \-
Access type of an electronic document (usually CD-ROM or
online). Field \fBw\fP with isobib. Compulsory.
.IP \-
Update date of the document. Field \fBy\fP with isobib.
Compulsory.
.IP \-
Accessibility of the document (URL). Field \fBx\fP with
isobib. Compulsory.
.IP \-
Date of last access to the document. Field \fBz\fP with
isobib. Compulsory.
.IP \-
Format of the document (pdf, ps, html...). Field \fBO\fP
with isobib. Optionnal.
.\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""
.\" Rendering example.
.\" For the examples, we don't want to use IDEM nor op. cit.
.nr NIDEM 0
.NH 1
Rendering examples
.NH 2
short explanation
.PP
In the following page, we will show some examples of
references. Inside the text, the references are written
manually, and should respect precisely the standart. For
each manually written reference correspond an automatically
rendered reference by isobib in footnote, and, at the end of
the document, in collected references. Logically, a
footnote will show the reference as it is rendered by
isobib in footnotes. At the end of that paper, the collected
references will show how the same reference is written by
isobib in collected references.
.NH 2
Non periodical publications
.IP "Whole book"
Heidegger, Martin. \fI\[E ^]tre et Temps\fP. Paris: Gallimard,
1986, 589 p. Coll. Nrf.
.[
MHsuz
.]
.IP
Heidegger, Martin. \fI\[E ^]tre et Temps\fP [online].  Out
of trade publication. Tr. E. Martineau. Paris:
Authentica, 1984. PDF format.  Accessible on
.URL http:/\:/me\:ta\:phy\:si\:ca\:.free\:.fr/\:Hei\:deg\:ger/\:Etre%20\:et%20\:Temps\:.pdf ,
updated the 2007.12.07. (Seen the 2010.08.24).
.[
MHMsuz
.]
.IP "Serie of books"
Husserl, Edmund. \fIRecherches logiques\fP. Paris: PUF,
1959-1961. 4. vol. Coll. \[E ']pim\[e ']th\[e ']e.
.[
EHrl
.]
.rm ]A ]B ]C ]D ]E ]G ]H ]h ]I ]J ]L ]M ]N ]O ]P
.rm ]p ]Q ]R ]S ]T ]U ]V ]W ]X ]Y ]Z ]w ]x ]y ]z
.rm ]o
.IP "Single book from a serie"
Husserl, Edmund. \fIRecherches logiques\fP. Tome I,
\fIProl\[e ']gom\[e `]nes \[a `] la logique pure\fP.
Tr. H. Elie, A. L. Kelkel and R. Scherer. Paris: PUF, 1959.
Coll. \[E ']pim\[e ']th\[e ']e.
.[
EHplp
.]
.IP Report
Lecourt, Dominique. \fIL'enseignement de la philosophie des
sciences\fP [online]. Paris: Minist\[e `]re de l'\[e ']ducation
nationale, de la recherche et de la technologie, February
2000. Rapport n\[de] 1. PDF format. Accessible on
.URL http:/\:/les\:rap\:ports.\:la\:do\:cu\:men\:ta\:tion\:franc\:aise.\:fr/\:cgi\:-\:bin/\:brp/\:te\:le\:stats\:.\:cgi\:?\:brp_\:ref\:=\:00\:400\:02\:43&\:brp_\:file=\:00\:00.pdf
(Seen the 2010.08.24).
.[
DLeps
.]
.IP "Part of a book"
Henry, Michel. \fIL'essence de la manifestation\fP. Third
publication. Paris: PUF, 2003. Section I. \[E ']lucidation
du concept de ph\[e ']nom\[e `]ne. Le monisme ontologique.
§13. L'ambigu\[i :]t\[e '] du Dasein. Essence et
d\[e ']termination, p. 126-137.
.[
MHem
.]
.IP "Collaboration to a book"
Jean-François Lavigne. \fIDe l'\[e ^]tre de l'ego \[a `] la
parole de Dieu: Parcours philosophique et pens\[e ']
ph\[e ']nom\[e ']nologique dans l'\[oe]uvre de Michel
Henry\fP.
In Hatem, Jad ed., \fIMichel Henry, la parole de vie\fP.
Paris: L'Harmattan 2003, p. 22-34. ISBN: 2-7475-5143-1.
.[
JFLeepd
.]
.\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""
.NH 2
Periodicals publications
.IP "Whole serie"
\fIRevue de m\[e ']taphysique et de morale\fP. Under the
direction of Isabelle Thomas-Fogiel. Paris: PUF, 1893\-.
Trimestrial. ISSN: 0035-1571.
.[
RMM00
.]
.IP "Single Journal"
\fIRevue de m\[e ']taphysique et de morale: La question de
l'\[e ^]tre\fP. Under the direction of Isabelle Thomas-Fogiel.
2006/4 n\[de] 52. Paris: PUF. 144 p. ISSN n\[de] 0035-1571.
.[
RMM52
.]
.IP "Collaboration to a journal"
Marion, Jean-Luc. M\[e ']taphysique et
ph\[e ']nom\[e ']nologie. \fIBulletin de
litt\[e ']rature eccl\[e ']siastique\fP, July 1993, n\[de]
XCIV/3. Toulouse: Institut Catholique de Toulouse.
.[
JLMmep
.]
.NH 2
Electronic communication
.IP "Electronic mail service"
\fIGroff mailing list\fP [online]. Boston: Free Software
Foundation, 2004\-. Moderated by Ted Harding and Werner Lemberg.
Accessible on
.URL http:/\:/lists\:.gnu\:.org/\:archi\:ve/\:html/\:groff/ .
(last access the 2010.24.08)
.[
GML00
.]
.IP "Single message"
Lemberg, Werner. \fIRe: [Groff] Graph in a man page\fP in
\fIGroff mailing list\fP [online]. Fri, 20 Aug 2010.
Accessible on
.URL http:/\:/lists\:.gnu\:.org/\:archi\:ve/\:html/\:groff/\:2010\:-08/\:msg\:00\:010.html .
(last access the 2010.24.08)
.[
WLgmp
.]
.\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""
.\" Isobib advantages
.NH 1
Isobib's advantages
.NH 2
Differences between collected and bottom page references
.PP
A bottom page reference must be easy to read. It must
contain most important informations, but everything doesn't
need to be written. Furthermore, to be readen easily, it
should use parenthesis instead of periods. Unlike bottom page
references, collected references must contain all the
known informations, and must be printed using periods.
Isobib make such a difference between collected references,
and bottom page references. Let's look for example at this
reference to the "\fIKritik der reinen Vernunft\fP", in
footnote
.[
EKc1
.]
and as it'll appear on the collected references:
.]<
.ds ref*forced coll
.[
EKc1
.]
.]>
.ds ref*which text
.NH 2
Idem and op. cit.
.\" Here, we want idem and op. cit.
.nr NIDEM 1
.PP
Usually, once a reference has been cited, it's not necessary
to write one more time all the informations already
written. The usage is to write only the needed fields to
recognize the book (ie. the author and the title), and to
add \fIop. cit.\fP. Isobib will do that automatically, and
will also add to \fIop. cit.\fP the page where the reference
was cited first since the reader could wish to look at this
first occurence. Let's refer one more time to Kant
.[
EKc1
.] and to our first
reference: \fISein und Zeit\fP
.[
MHsuz
.]
to see what happens in the footnote.
.PP
When the same reference occurs two times on the same page,
we will prefer to write \fIop. cit. hereinbefore\fP instead
of \fIop. cit. p. xx\fP. This is also done by Isobib, as
shown in the footnote when we refer for the first time to
the \fIUnix text processing\fP book,
.[
DDTORutp
.]
a third time to the
first critic,
.[
EKc1
.]
and a second time to \fIUnix text
processing\fP.
.[
DDTORutp
.]
.PP
If the same reference is cited several times one after the
other, \fIop. cit.\fP will be replaced by Idem, and only the
fields that could change are printed. Let's refer one more
time to Kant,
.[
EKc1
.]
and now, we add a page to the reference,
.[
EKc1
%p 317
.]
if we add one more time the same page to the reference,
it'll not be written,
.[
EKc1
%p 317
.]
and now, we refer to another page,
.[
Ekc1
%p 133
.]
and now, another page and a chapter.
.[
EKc1
%p 599
%h II. Théorie transcendantale de la méthode
.]
.PP
Last, but not least, if we refer to another book from the
same author,
.[
EKc2
.]
\fIIdem.\fP will not be written in the
footnote, as it's not very elegant, but, in the collected
references, the name of the author will not be written two
times, but only one:
.]<
.ds ref*forced coll
.[
EKc1
.]
.[
EKc2
.]
.]>
.ds ref*which text
.PP
You've probably seen that on the first part of this text,
there was neither \fIidem\fP nor \fIop. cit.\fP. It's because
isobib use the number register \fBNIDEM\fP to know if it
write \fIidem\fP or not: Set to 1 (default), \fIidem.\fP. and
\fIop. cit.\fP will be printed, not if set to 0. You can
also use the \fBNOPCIT\fP number register: set to 1, \fIop.
cit.\fP will be printed (default), not if set to 0.
.NH 2
Index
.PP
Isobib build an index of each reference, based on the label
field (\fI%L\fP). This allow you to print an index just by
inserting the macro \fB.INDEX\fP where you want the index to
appear. But be carefull, at least one page without reference
must appear before the index, orelse, the last cited
references will not appear. Here, we use a whole page to write the
title \fIAnnexes\fP to be sure that a blank page occurs
before the index.
.NH 2
Collected reference
.PP
You can print collected references as usual with refer.
.NH 3
Information
.PP
For a more detailed guide of the usage of isobib, refer to
its man page. You should also read the man page of refer.
.\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""
.bp
.SH 1
Annexes
.bp
.INDEX
.R1
label SBJTQAEU
capitalize AE
sort .
bibliography isobib.i
.R2
.R1
no-abbreviate
reverse AE
capitalize AE
sort A+
bibliography isobib.i
.R2
.\"TC
